gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.BooleanCellAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype BooleanCellAccessible = BooleanCellAccessible (ManagedPtr BooleanCellAccessible)
- class (GObject o, IsDescendantOf BooleanCellAccessible o) => IsBooleanCellAccessible o
- toBooleanCellAccessible :: (MonadIO m, IsBooleanCellAccessible o) => o -> m BooleanCellAccessible

# Exported types

newtype BooleanCellAccessible Source #

Memory-managed wrapper type.

Constructors

BooleanCellAccessible (ManagedPtr BooleanCellAccessible) |

#### Instances

Instances details

Eq BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible Methods (==) :: BooleanCellAccessible -> BooleanCellAccessible -> Bool Source # (/=) :: BooleanCellAccessible -> BooleanCellAccessible -> Bool Source #
GObject BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible
ManagedPtrNewtype BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible Methods toManagedPtr :: BooleanCellAccessible -> ManagedPtr BooleanCellAccessible Source #
TypedObject BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible Methods glibType :: IO GType Source #
HasParentTypes BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible
IsGValue (Maybe BooleanCellAccessible) Source # | Convert `BooleanCellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe BooleanCellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe BooleanCellAccessible) Source #
type ParentTypes BooleanCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible type ParentTypes BooleanCellAccessible = '[RendererCellAccessible, CellAccessible, Accessible, Object, Object, Action, Component, TableCell]

class (GObject o, IsDescendantOf BooleanCellAccessible o) => IsBooleanCellAccessible o Source #

Type class for types which can be safely cast to `BooleanCellAccessible`, for instance with `toBooleanCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf BooleanCellAccessible o) => IsBooleanCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.BooleanCellAccessible

toBooleanCellAccessible :: (MonadIO m, IsBooleanCellAccessible o) => o -> m BooleanCellAccessible Source #

Cast to `BooleanCellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getColumnHeaderCells, getColumnSpan, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getSize, getTable, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.